Summary: The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Name: nasm
Version: 0.98
Release: 3mdk
Copyright: Freely Distributable
Group: Development/Other
Source: ftp://ftp.us.kernel.org/pub/software/devel/nasm/source/nasm-%{version}.tar.bz2
URL: http://www.cryogen.com/Nasm/
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildPreReq: groff
Prefix: /usr

%package doc
Summary: Extensive documentation for NASM
Group: Development/Other
Prereq: /sbin/install-info

%package rdoff
Summary: Tools for the RDOFF binary format, sometimes used with NASM.
Group: Development/Other

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
PostScript, RTF and text formats.

%description rdoff
Tools for the operating-system independent RDOFF binary format, which
is sometimes used with the Netwide Assembler (NASM).  These tools
include linker, library manager, loader, and information dump.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=%{prefix}
make everything

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/{bin,man/man1,info}
make INSTALLROOT="$RPM_BUILD_ROOT" install
make INSTALLROOT="$RPM_BUILD_ROOT" install_rdf
cd doc
install info/* $RPM_BUILD_ROOT/%{prefix}/info/
gzip -9f *.txt *.ps
cd html
ln -sf nasmdoc0.html index.html

%clean
rm -rf $RPM_BUILD_ROOT

%post doc
/sbin/install-info /%{prefix}/info/nasm.info.bz2 /%{prefix}/info/dir

%preun doc
if [ $1 = 0 ]; then
  /sbin/install-info --delete /%{prefix}/info/nasm.info.bz2 /%{prefix}/info/dir
fi

%files
%defattr(-,root,root)
%doc COPYING Licence Changes Wishlist changed.asm internal.doc MODIFIED
%attr(755,root,root) %{prefix}/bin/nasm
%attr(755,root,root) %{prefix}/bin/ndisasm
%{prefix}/man/man1/nasm.1*
%{prefix}/man/man1/ndisasm.1*
%{prefix}/info/nasm.info*

%files doc
%defattr(-,root,root)
%doc doc/nasmdoc.ps.gz doc/nasmdoc.txt.gz doc/nasmdoc.rtf doc/html

%files rdoff
%defattr(-,root,root)
%doc rdoff/README rdoff/Changes
%{prefix}/bin/ldrdf
%{prefix}/bin/rdf2bin
%{prefix}/bin/rdf2com
%{prefix}/bin/rdfdump
%{prefix}/bin/rdflib
%{prefix}/bin/rdx

%changelog
* Wed Apr 05 2000 Warly <warly@linux-mandrake.com> 0.98-3mdk
- new group: Development/Other
- spec-helper

* Thu Feb 03 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added BuildPreReq.
- changed doc dirs.

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- First spec
